/* BEGIN_COMMON_COPYRIGHT_HEADER
 * (c)LGPL2+
 *
 * Nde - a lightweight, Qt based, desktop toolset
 * http://www.gd-linux.com
 *
 * Copyright: 2020 NDE team
 * Authors:
 *   Alexander Sokoloff <sokoloff.a@gmail.com>
 *
 * This program or library is free software; you can redistribute it
 * and/or modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.

 * You should have received a copy of the GNU Lesser General
 * Public License along with this library; if not, write to the
 * Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
 * Boston, MA 02110-1301 USA
 *
 * END_COMMON_COPYRIGHT_HEADER */


#include <Nde/SingleApplication>

#include <QCommandLineParser>

#include "dialog.h"


int main(int argc, char *argv[])
{
    Nde::SingleApplication a(argc, argv);
    a.setQuitOnLastWindowClosed(false);
    a.setAttribute(Qt::AA_UseHighDpiPixmaps, true);

    QCommandLineParser parser;
    parser.setApplicationDescription(QStringLiteral("Nde Runner"));
    const QString VERINFO = QStringLiteral(NDE_RUNNER_VERSION
                                           "\nlibnde   " NDE_VERSION
                                           "\nQt        " QT_VERSION_STR);
    a.setApplicationVersion(VERINFO);
    parser.addVersionOption();
    parser.addHelpOption();
    parser.process(a);

    QWidget hiddenPreviewParent{0, Qt::Tool};
    Dialog d(&hiddenPreviewParent);
    a.setActivationWindow(&d);

    return a.exec();

}
